JBoss API: Class EJBVerifier11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.verifier.strategy
Class EJBVerifier11

    java.lang.Object
      |
      +--org.jboss.verifier.strategy.AbstractVerifier
            |
            +--org.jboss.verifier.strategy.EJBVerifier11

All Implemented Interfaces:
  org.gjt.lindfors.pattern.Strategy, VerificationStrategy

public class EJBVerifier11
extends AbstractVerifier

Concrete implementation of the `VerificationStrategy` interface. This class implements the verification of both session and entity beans for Enterprise JavaBeans v1.1 specification. For more detailed documentation, refer to the Enterprise JavaBeans v1.1, Final Release

Since:
  JDK 1.3
Version:
  $Revision: 1.27 $
Author:
  Juha Lindfors (jplindfo@helsinki.fi), Aaron Mulder (ammulder@alumni.princeton.edu), Vinay Menon (menonv@cpw.co.uk)
See Also:
  `AbstractVerifier`

Fields inherited from class org.jboss.verifier.strategy.AbstractVerifier
`BEAN_MANAGED_TX, classloader, CONTAINER_MANAGED_TX, EJB_HOME_INTERFACE, EJB_OBJECT_INTERFACE, STATEFUL_SESSION, STATELESS_SESSION`

Constructor Summary
`EJBVerifier11(VerificationContext context)` Constructs the verifier object.

Method Summary
`void` | `checkEntity(EntityMetaData entity)` Verifies the entity bean class, home interface, remote interface and primary key class against the EJB 1.1 specification.
`void` | `checkSession(SessionMetaData session)` Verifies the session bean class, home interface and remote interface against the EJB 1.1 specification.

Methods inherited from class org.jboss.verifier.strategy.AbstractVerifier
`checkMessageBean, fireBeanVerifiedEvent, fireSpecViolationEvent, fireSpecViolationEvent, getContext, getCreateMethods, getDefaultCreateMethod, getEJBCreateMethods, getEJBFindByPrimaryKey, getEJBFindMethods, getFinderMethods, getMatchingEJBCreate, getMatchingEJBFind, getMatchingEJBPostCreate, hasANonStaticField, hasCreateMethod, hasDefaultConstructor, hasDefaultCreateMethod, hasEJBCreateMethod, hasEJBFindByPrimaryKey, hasEJBHomeInterface, hasEJBObjectInterface, hasEntityBeanInterface, hasFinalizer, hasFinderMethod, hasLegalRMIIIOPArguments, hasLegalRMIIIOPExceptionTypes, hasLegalRMIIIOPReturnType, hasMatchingEJBCreate, hasMatchingEJBFind, hasMatchingEJBPostCreate, hasMatchingExceptions, hasMatchingMethod, hasMatchingReturnType, hasMoreThanOneCreateMethods, hasPrimaryKeyReturnType, hasRemoteReturnType, hasSessionBeanInterface, hasSessionSynchronizationInterface, hasVoidReturnType, isAbstract, isAllFieldsPublic, isCreateMethod, isFinal, isFinal, isFinderMethod, isMultiObjectFinder, isPublic, isPublic, isSingleObjectFinder, isStatic, isStatic, throwsCreateException, throwsFinderException, throwsRemoteException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBVerifier11

    public EJBVerifier11(VerificationContext context)

  Constructs the verifier object.
  Parameters:
    `context` - context for application information

Method Detail

### checkSession

    public void checkSession(SessionMetaData session)

  Verifies the session bean class, home interface and remote interface against the EJB 1.1 specification.
  Parameters:
    `session` - XML metadata of the session bean

### checkEntity

    public void checkEntity(EntityMetaData entity)

  Verifies the entity bean class, home interface, remote interface and primary key class against the EJB 1.1 specification.
  Parameters:
    `entity` - XML metadata of the session bean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.